<script type="text/javascript">
$(document).ready(function() {
    /* Build the DataTable with third column using our custom sort functions */
   $('select').select2();
    var oTable = $("#test").dataTable( {
        "iDisplayLength": 25,
		 "aLengthMenu": [5,10,25,50,100],
		 "asSorting": [ "asc"], "aTargets": [ 1 ],
		 "sPaginationType": "full_numbers", "aoColumns": [ { 
		 	"bSortable": false }, 
			null, 
			null, 
			null,
			null, 
			null, 
			null, { 
			"bSortable": false } ]});
     oTable.fnSort( [ [1,'asc'] ] );
	 $("table .checkall1").live("click", "checkall1",function(){           
		$(oTable.fnGetNodes()).find(':checkbox').prop('checked', this.checked);
	});
    $("table.editable").on("click",".remove",function(){
        rRow = $(this).parents("tr");
        ID = $('td:first', $(this).parents('tr')).text(); 
        $("#row_delete").dialog("open");
    });
    $("table.editable").on("click",".edit",function(){
        rRow = $(this).parents("tr");
        ID = $('td:first', $(this).parents('tr')).text(); 
        $("#row_edit").dialog("open");
    });
    $("#row_edit").dialog({
        autoOpen: false,
        resizable: false,        
        modal: true,
        buttons: {
            "Continue...": function() {
				window.location.href = "<?php echo base_url(); ?>arTransaction/editcashsale/" + ID;		
                $(this).dialog("close");
            },
            Cancel: function() {
                $(this).dialog("close");
            }
        }
    });    
    function remove_row(row){
        row.remove();
 		$.ajax({
  			type: "POST",
  			url: "companyFinancialCalendar",
			data:"ID="+ID,
  			success: function(){
				alert('Row has been deleted...');
			},
		});       // Here your ajax action after delete confirmed
    }
    $("#row_delete").dialog({
        autoOpen: false,
        resizable: false,        
        modal: true,

        buttons: {
            "Delete": function() {
				window.location.href = "financialCalendarDelete?ID=" + ID;		
                remove_row(rRow);
                $(this).dialog("close");
            },
            Cancel: function() {
                $(this).dialog("close");
            }
        }
    });    
});

function changeList(){
	var addyear = $('#add_year option:selected').val();
	var addper = $('#add_period option:selected').val();
	var urls = "<?php echo base_url()?>artransaction/cashsalePost/"+addyear+"/"+addper;
		window.location = urls;
} 

function selectYearPeriod(obj){
		var year = obj.value;
//		alert(year);
			
			$.ajax({
  				type: "POST",
	  			dataType: "json",
				url: "<?php echo base_url()?>glreports/get_TrialBalance_year/"+year,
				data: year,
	  			async: false,
  				success: function(content){
					if(content.status == "success") {
					var items = [];
					//items.push('<option>-Please Select-</option>');
					for ( var i = 0; i < content.message.length; i++) {
					items.push('<option value="'+content.message[i].period+'">'
						+ content.message[i].financialPeriod + '</option>');
					}  //end for
					jQuery("#add_period").empty();
					jQuery("#add_period").append(items.join('</br>'));
					//jQuery("#add_period").val(null);
					$("#add_period").select2();
				} else {
					jQuery("#add_period").empty();
					$("#error").html('<p>'+content.message+'</p>');
					$("#add_period").select2('val',null);
				} //end if
			} //end success
				
			}); //end ajax
}

function postcashsale(){
   var oTable = $("#test").dataTable( );
   var $counter = 0;
	$(oTable.fnGetNodes()).find(':checkbox').each(function () {
		$counter++;
        if($(this).is(':checked')){
			var fldid = $('td:first', $(this).parents('tr')).text(); 
			var effdate = $('td:eq(2)', $(this).parents('tr')).text(); 
			var postData = {
				'fldid' : fldid,
				'effdate' : effdate,
			};
			
//			alert(effdate);
 			$.ajax({
  				type: "POST",
	  			dataType: "json",
				url: "<?php echo base_url()?>artransaction/cashsalelistPosting",
				data: postData ,
	  			async: false,
  				success: function(content){
					if(content.status == 'success'){
						
					}
					if($(oTable.fnGetNodes()).find(':checkbox').length == $counter){
						window.location.reload(true);
					}
				}
			}); 
		}
	});	
}
</script>



<div id="content">                        
	<div class="wrap">
		<div class="head">
			<div class="info">
				<!--<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
					<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>-->
				<ul class="breadcrumb">
					<li><a href="#"><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
					<li><a href="#"><?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
					<li class="active"><?php echo $this->lang->line('title') ?></li>
				</ul>
			</div>
			<div class="search">
				<form action="<?php echo base_url() ?>admin/search" method="post">
					<input name="search_text" type="text" placeholder="search..."/>                                
					<button type="submit"><span class="i-magnifier"></span></button>
				</form>
			</div>                        
		</div><!-- head --> 
		<div class="content">
			<div class="wrap">                    
				<div class="row-fluid">
					<div class="span12">
						<div class="block">
							<div class="head">
								<h2><?php echo $this->lang->line('titleconfirmlist');?></h2>
								<div class="side fr">
									<a class="btn-icon btn-warning-form" href="<?php echo base_url(); ?>arTransaction/newcashsale" title="<?php echo $this->lang->line('addnew');?>"><span class="i-plus-2"></span></a>
								</div>                                       
							</div>
							<div class="content np">    
								<div class="controls-row"><!-- Row 4-->
									<div class="span5 tac">
										<div class="span2 tar"><?php echo $this->lang->line('year');?></div>
											<?php
												$preselyear = $selyear;
												$options = '';
												$options[NULL] = $this->lang->line('selectyear');
												if($period){
													foreach($yrs as $row){
														$options[$row] = $row;
													}
												}
												$js='onchange="selectYearPeriod(this)" class="input-medium" id="add_year"';

													echo form_dropdown('add_year', $options, $preselyear, $js);
											?>       
									</div>
								<div class="span5 tac">
								<div class="span2 tar"><?php echo $this->lang->line('period');?></div>
									<?php
										$preselperiod = $selper;
										$options = '';
										$options[NULL] = $this->lang->line('period');
										if($period){
											foreach($period as $row){
												$options[$row->period] = $row->financialPeriod;
											}
										}
										$js='class="input-medium" id="add_period" style="width:75%"';
											echo form_dropdown('add_period', $options, $preselperiod, $js);
									?>       
								</div>
						<div class="span2 tac">
                        <?php 
							$data = array(
									'name'=>'mysubmit', 
									'class'=>'btn-form btn-success-form');
									$js="onClick='changeList()'";
							echo form_button($data,$this->lang->line('submit'),$js);
							?>
                        </div>
                 	</div><!-- End Row 4-->
				</div><!-- content -->
            	<div class="content np table-sorting">
            	<table cellpadding="0" cellspacing="0" width="100%" id="test" class="editable">
                	<thead>
                    <tr>
            			<th style="display:none"></th>
                        <th class="tac">#</th>
                        <th class="tac"><?php echo $this->lang->line('date');?></th>
            			<th><?php echo $this->lang->line('formno');?></th>
            			<th><?php echo $this->lang->line('customer');?></th>
                		<th class="tac"><?php echo $this->lang->line('amount');?></th>
                		<th class="tac"><?php echo $this->lang->line('importDutyPayable');?></th>            
                		<th class="tac"><input type='checkbox' id='checkall1' class='checkall1'/></th>
            		</tr>
        			</thead>
       				 <tbody>
			<?php $bil = 0; 
				if($datatbls){
				foreach($datatbls as $datatbl):
				$bil++?>
            	<tr>
                	<td style="display:none" ><?php echo $datatbl->projectID; ?></td>
                	<td class="tac"><?php echo $bil; ?></td>
                    <td class="tac"><?php echo date("d-m-Y", strtotime($datatbl->effDate)); ?></td>
                	<td><a title="<?php echo $this->lang->line('edit');?>" class="btn btn-mini btn-link edit"><?php echo $datatbl->formNo ?></a></td>
                	<td><?php echo $datatbl->customer; ?></td>
                	<td class="tar"><?php echo number_format($datatbl->amount, 2); ?></td>
                	<td class="tar"><?php echo number_format($datatbl->taxAmount,2); ?></td>
                    <td class="tac"><input type='checkbox' class='checkbox' name='updateAble' id='updateAble' value='1'/></td>
                </tr>
            <?php endforeach; }?>
					</tbody>
			</table>                                         
			</div>
            <div class="footer">
            	<div class="side fr">
                	<div class="btn-group">
                        <?php 
							$data = array(
									'name'=>'postcashsale', 
									'class'=>'btn-form btn-warning-form');
							$js='onclick="postcashsale()"';
							echo form_submit($data,$this->lang->line('postcrdtn'),$js);
							?>
                   </div>
                </div>
            </div>
		</div><!-- block -->
			</div><!-- span12 -->
		</div><!-- row-fluid -->	
	</div><!-- wrap -->
</div><!-- content -->
	</div><!-- wrap -->
</div><!-- content -->
<div class="dialog" id="row_delete" style="display: none;" title="Delete?">
    <p>Row will be deleted</p>
</div>   
<div class="dialog" id="row_edit" style="display: none;" title="Edit ?">
    <p>To editing page.....</p>
</div>  

